Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Bcast_Node Class Reference

Linked list of broadcast interfaces. More...

`#include <SOCK_Dgram_Bcast.h>`

Collaboration diagram for ACE_Bcast_Node:

[legend]
List of all members.

## Public Methods
| ACE_Bcast_Node (ACE_INET_Addr &, ACE_Bcast_Node *)
| Default constructor.
| ~ACE_Bcast_Node (void)
| Destructor.
## Public Attributes
ACE_INET_Addr | bcast_addr_
| Broadcast address for the interface.
ACE_Bcast_Node * | next_
| Pointer to the next interface in the chain.

## Detailed Description

Linked list of broadcast interfaces.

## Constructor & Destructor Documentation

ACE_Bcast_Node::ACE_Bcast_Node | ( | ACE_INET_Addr & | ,
|  | ACE_Bcast_Node * |
| ) |

| Default constructor.

ASYS_INLINE ACE_Bcast_Node::~ACE_Bcast_Node | ( | void |  | ) |

| Destructor.

## Member Data Documentation

ACE_INET_Addr ACE_Bcast_Node::bcast_addr_

| Broadcast address for the interface.

ACE_Bcast_Node* ACE_Bcast_Node::next_

| Pointer to the next interface in the chain.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/SOCK_Dgram_Bcast.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/SOCK_Dgram_Bcast.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/SOCK_Dgram_Bcast.i